-------------------------------------------------------------------------------
--
-- MailScanner patch for SQL Black/-Whitelists
--                       (www.mailscanner.info)
--
-- Copyright (c) by  Oliver Pitzeier, June 2003
--               by  oliver@linux-kernel.at
--
-- Changes are welcome, but please inform me about those!
--
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
--
-- $Id: blackwhitelist.sql,v 1.2 2003/06/17 09:16:35 oliver Exp $
--
-- $Log: blackwhitelist.sql,v $
-- Revision 1.2  2003/06/17 09:16:35  oliver
-- +Added a regex example
--
-- Revision 1.1.1.1  2003/06/11 13:58:29  oliver
-- Initial import...
--
--
--
-------------------------------------------------------------------------------

--
-- Table structure for table 'blacklist'
--

CREATE TABLE blacklist (
  to_mail varchar(120) NOT NULL,
  from_mail varchar(120) NOT NULL,
  mail_username varchar(30) NOT NULL
);

--
-- Test data for table 'blacklist'
--

INSERT INTO blacklist VALUES ('testuser@bla.com','BIG@boss.com','testuser');
INSERT INTO blacklist VALUES ('testuser@bla.com','support@microsoft.com','testuser');
INSERT INTO blacklist VALUES ('testuser@bla.com','testuser@bla.com','testuser');
INSERT INTO blacklist VALUES ('testuser@bla.com','testuser@*.*','testuser');

--
-- Table structure for table 'whitelist'
--

CREATE TABLE whitelist (
  to_mail varchar(120) NOT NULL,
  from_mail varchar(120) NOT NULL,
  mail_username varchar(30) NOT NULL
);

--
-- Test data data for table 'whitelist'
--

INSERT INTO whitelist VALUES ('testuser@bla.com','BB@mycompany.com','testuser');
INSERT INTO whitelist VALUES ('testuser@bla.com','white@bla.com','testuser');

